org.apache.ignite.configuration

## Class DefaultCommunicationFailureResolver

- java.lang.Object
- - org.apache.ignite.configuration.DefaultCommunicationFailureResolver

All Implemented Interfaces:
  CommunicationFailureResolver

    public class DefaultCommunicationFailureResolver
    extends Object
    implements CommunicationFailureResolver

Default Communication Failure Resolver.

### Constructor Summary

Constructors
Constructor and Description
`DefaultCommunicationFailureResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `resolve(CommunicationFailureContext ctx)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultCommunicationFailureResolver

    public DefaultCommunicationFailureResolver()

### Method Detail

#### resolve

    public void resolve(CommunicationFailureContext ctx)

Specified by:
  `resolve` in interface `CommunicationFailureResolver`
Parameters:
  `ctx` - Context.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020